<?php
if(!defined('INDEX')) { header('Location: ../'); exit; }
$titre = 'Changement des options';

if (isset($_GET['auth'])) {
	if (!empty($queryUser['mdpNOUV']) && !empty($queryUser['mdpNOUV']) && sha1($queryUser['mdpNOUV']) == $_GET['auth']) {
		$bdd->connexion();
		$bdd->query("UPDATE user SET mdp = mdpNOUV, mdpNOUV = '', mailNOUV = '' WHERE id = '$id_user';");
		$bdd->deconnexion();
		erreur('Votre nouveau mot de passe est en place.', "green");
	}
	elseif (!empty($queryUser['mailNOUV']) && !empty($queryUser['mailNOUV']) && sha1($queryUser['mailNOUV']) == $_GET['auth']) {
		$bdd->connexion();
		$bdd->query("UPDATE user SET mail = mailNOUV, mailNOUV = '', mdpNOUV = '' WHERE id = '$id_user';");
		$bdd->deconnexion();
		erreur('Votre nouvelle adresse électronique est en place.', "green");
	}
	else erreur('Impossible d\'authentifier le lien !');
}
else erreur('Le lien est incomplet !');
?>